activateconnection <- function(){
  
  ac <- .status$activeconnection
  con <- ac$connection
  
  if(is.na(ac$pendingconnection)) ac$pendingconnection <- ac$connection
  if(is.na(ac$pendingcache)) ac$pendingcache <- ac$cache
  
  if(!is.na(ac$connection) | !is.na(ac$cache)){ 
    # this skips the checks in the rare case that the  current connection isn't definied 
    # allowing me to use the function at the end of mosaicinit
    
    # Nothing to do if the pending cache and connection are both either NA or the same as the current version
    if(  ac$connection == ac$pendingconnection & ac$cache == ac$pendingcache){
      ac$pendingcache <- NA
      ac$pendingconnection <- NA
      .status$activeconnection <- ac
      return(invisible()) # returns
    }   
    
    # Check for special case where the server is local and the only change is in the status of cache
    if(ac$connection == ac$pendingconnection  & .status$connections$local[con]){
      ac$cache <- ac$pendingcache
      ac$pendingcache <- NA
      ac$pendingconnection <- NA
      .status$activeconnection <- ac
      return(invisible())  # done
    }
  }  # end skip checks if the current cache or connection isn't defined
  
  if(!ac$pendingconnection %in% 1:nrow(.status$connections)) 
    stop("The pending connection (", ac$pendingconnection, ") doesn't reference a connection.") 
  
  co <- as.list(.status$connections[ac$pendingconnection, ]  )
  
  # local if new connection is local or a cache connection
  local <- co$local | ac$pendingcache
  
  # If there's an error  this will call cleanup() before exiting
  problem=TRUE
  on.exit(if(problem){
    cleanup()
  } )
   
   if(local){
   	.gridinit(server="/.",
            local = TRUE,
            port = 3333,
            log = co$log
            )

   	
   } else {
  .gridinit(server=co$server,
            local = co$local,
            port = co$port,
            log = co$log
            )
 	
   }
    
  
  ac$connection <-ac$pendingconnection
  ac$cache <- ac$pendingcache
  ac$pendingconnection <- NA
  ac$pendingcache <- NA
  .status$activeconnection <- ac
  
  # Reset the window if it's a local connection 
  if(local & !is.na(co$xll)){
    .makewindow(nrow=co$nrow, ncol=co$ncol, xll=co$xll, yll=co$yll, cellsize=co$cellsize)  
  }
  # If it's not a local connection and the window isn't set but is defined 
  # then check the window
  if(!local  && !co$set & !is.na(co$xll)){
    sw <- getwindow(query.server=TRUE)
    if(!sw$set) 
      .makewindow(nrow=co$nrow, ncol=co$ncol, xll=co$xll, yll=co$yll, cellsize=co$cellsize)
    .status$connections$set[.status$activeconnection$connection] <- TRUE
  }
    
  problem <- FALSE  # so on.exit code knows the function ran without error
  
}
