


# s3 method to convert RasterLayer to grid
as.grid.RasterLayer <- function(x, ...){
  if(!isTRUE(all.equal(xres(x), yres(x))))
    stop("Cells are not square. Cannot convert to grid")
  m <- matrix(values(x), nrow = nrow(x), ncol = ncol(x), byrow = TRUE)    
  result <- list(m = m, xll =  xmin(x) , yll = ymin(x), nrow = nrow(x), ncol = ncol(x), cellsize = xres(x))
  class(result) <- "grid"
  return(result)
}

# s3 method to convert part of a rasterStack to a grid
as.grid.RasterStack <- function(x, layer, ... ){
  if(!isTRUE(all.equal(xres(x), yres(x))))
    stop("Cells are not square. Cannot convert to grid.")
  if(layer < 1 | layer > nlayers(x)) stop("layer is out of range. It should refer to one of the layers in x.")
  if(length(layer) != 1) stop("A grid can only contain one layer.")
  
  m <- matrix(values(x)[, layer ], nrow = nrow(x), ncol = ncol(x), byrow = TRUE)    
  e <- extent(x) 
  result <- list(m = m, xll =  xmin(x) , yll = ymin(x), nrow = nrow(x), ncol = ncol(x), cellsize = xres(x))
  class(result) <- "grid"
  return(result)
}
