batchmosaic <- function(x, referencemosaic){
  # x : a vector of paths to grids
  # refrencemosaic : the path to a refrence mosaic
  errors <- data.frame(grid=x, error=FALSE, messsage="")
  
  mi <- mosaicinfo(referencemosaic)
  for(i in 1:length(x)){
    deleted <- FALSE
    grid <- x[i]
    if(grepl("_s$", grid)){
      mosaic <- gsub("_s$" , "", grid)
    } else {
      mosaic <- paste(grid, "_m", sep="")  
    }
    
    if(file.exists(mosaic)){
      a <- friskmosaics(x=mosaic, err=FALSE, warn=FALSE)
      if(a$code == 2){  # indicates out of date mosaic
        unlink(mosaic, recursive=TRUE)
        if(file.exists(mosaic)){  # in case it unlink failed
          errors$error[i] <- TRUE
          errors$messsage[i] <- "Couldn't delete pre-existing mosaic. Delete it manually and try again."
        }
        deleted <- TRUE
      }
      if(a$code == 1){ # 1 indicates the mosaic is up to date
        errors$message[i] <- "Skipped. An up-to-date mosaic existed."
        next  
      }
    }
    
    a <- tryCatch(
      makemosaicpy(source=grid, mosaic=mosaic, referencemosaic=referencemosaic), 
      error = function(e) e)
    if(inherits(a, "error")){
      errors$message[i]=a$message
      errors$error[i] <- TRUE  
    } else {
      # no errors
      errors$message[i] <- ifelse(deleted, "Mosaic re-created.", "Mosaic created.")  
    }
  }
  
  return(errors)
  
  
}