if(FALSE){
  library(gridio)
  
  grid <- "x:/gis/dem"
  refmosaic <- "x:/gis/dem_m"
  mosaic <- "x:/gis/test4_m"
  mosaic2 <- "x:/gis/test_m"
  reference <- grid
  
  
  # make the mosaic 
  gridinit()
  setwindow(grid)
  mosaicinit(refmosaic)
  g <- readgrid(grid)
  
  if(file.exists(mosaic)) gridkill(mosaic)
  if(file.exists(mosaic2)) gridkill(mosaic2)
  
  writegrid(g, mosaic)
  writegrid(g, mosaic2)
  
  griddescribe(mosaic)
  
  pyramids=TRUE
  gridinit()
  gridkill(complete)
  
  batchstitch(x=c("x:/adsfadf", "x:/gis/dem_m",  mosaic, mosaic2), reference=reference)
  
  
}


batchstitch <- function(x, reference, ...){
  # x : a vector of paths to grids
  # reference : the path to a refrence mosaic
  # python.path : if needed the path to python (default set within stitchpy)
  
  result <- data.frame(mosaic=x, error=FALSE, message="", complete="", stringsAsFactors=FALSE)
  desc <- griddescribe(reference)
  
  # mi <- mosaicinfo(referencemosaic)
  for(i in 1:length(x)){
    deleted <- FALSE
    mosaic <- x[i]
    mosaic <- gsub("\\\\", "/", mosaic)
    if(grepl("_m$", mosaic)){ # if mosaic ends in _m
      complete <- gsub("_m$", "", mosaic) # lop off "_m" (at end)
    } else {
      complete <- paste(mosaic, "_s", sep="") 
    }
    result$complete[i] <- complete
    
    if(!file.exists(mosaic)){
      result$error[i] <- TRUE
      result$message[i] <- paste("Mosaic doesn't exist")
      next
    }
    
    gridname <- gsub("^.*/", "", complete)
    if(nchar(gridname) > 13){
      result$error[i] <- TRUE
      result$message[i] <- paste("New name is too long.")
      next
    }
     
    md <- griddescribe(mosaic, cache = FALSE) 
    
    if(md$type == "missing"){
      result$error[i] <- TRUE
      result$message[i] <- "No grid or mosaic at path."
      next
    }
    
    if(!md$mosaic){
      result$error[i] <- TRUE
      result$message[i] <- "Target is a grid not a mosaic."
      next
    }
    
    
     if(md$mosaicinfo$type == "derived" & file.exists(complete)){
       result$error[i] <- FALSE
       result$message[i] <- "derived mosaic. complete grid  exists."
       next
    }
      
    
    
    
    # Skip if up-to-date
    if(file.exists(complete)){    
      logfile <- paste(mosaic, "/stitchlog.txt", sep="")
      if(file.exists(logfile)){
        log <- read.table(file=logfile,  sep="\t", header=TRUE, 
                          stringsAsFactors=FALSE, comment.char = ";")
        log$stitchpath <- gsub("\\\\", "/", log$stitchpath )
        log$stitchdate <- as.POSIXct(log$stitchdate, format=.status$timeformat)
        moddate <- as.POSIXct(md$mosaicinfo$timestamp, format=.status$timeformat)
        if(file.exists(complete) & any(tolower(log$stitchpath) %in% tolower(complete) & log$stitchdate > moddate)){
          result$error[i] <- FALSE
          result$message[i] <- "Skipped. Grid is up-to-date."
          next
        }
      }
      
      # Otherwise delete
      gridkill(complete)
      deleted <- TRUE
    } # End grid exists  
    
    
    a <- tryCatch(
      stitchpy(mosaic = mosaic, complete = complete, 
               reference = reference, ...), 
      error = function(e) e)
    if(inherits(a, "error")){
      result$message[i]=a$message
      result$error[i] <- TRUE  
    } else {
      # no errors
      result$message[i] <- ifelse(deleted, "Re-stitched.", "Stitched." )  
    }
  }
  
  return(result)
  
  
}