cacheinfo <- function(){
  if(!anthillrunning())
    stop("Anthill isn't loaded and configured so caching won't work.  Please load anthill and call config() prior to calling this function.")
  ci <- getcacheconfig()
  if(!ci$on){
    cat("Caching is off.")
    return(invisible())
  } 
  
  fi <- fileinfo(paste(ci$cachepath, "/index/cacheinfo.txt", sep=""))
  
  free <- fi$free / .status$mb.per.gb # In GB
  
  
  a <- readLines(paste0(ci$cachepath, "/index/cacheinfo.txt") )
  last.id <- as.numeric(a[[1]]) # last id used in index
  cachesize <- as.numeric(a[[2]]) / .status$mb.per.gb # cache size in GB
  
  
  available <- min( free - ci$minfree , ci$maxsize - cachesize )

  
  form <- function(x){
    if(x < .1){
      return(paste(x * .status$mb.per.gb, "MB"))
    } 
    return(paste(x, "GB"))
  }
  
  # pg <- nrow(cd) > 1
  
  cat(
    "\n\nCaching directory = ", ci$cachepath, "\n",
    "Maximum cache size = ", form(ci$maxsize), "\n",
    "Minimum disk space free = ", form(ci$minfree), "\n", 
    "Available for cache = ", form(available), "\n",   
  #  nrow(cd), " grids", ifelse(pg, "s", ""), 
  #  " in cache use", ifelse(pg, "", "s"), " ", form(cachesize), "\n",
    "Cache size = ", form(cachesize), "\n",
    "Cache is ", round(cachesize / (available + cachesize) * 100, digits=1), "% full.\n",  
    "Last ID = ", last.id, "\n",
    "\n", sep="" )
 
   
}