checkgridalignment <- function(reference, grids){
  # checkgridalignment   Ethan Plunkett March 8, 2012
  #
  # Arguments :
  #   reference : path to a reference grid
  #   grids : paths to grids to be evaluated gainst the reference grid
  # Value :
  #   returns the subset of grids that aren't aligned with reference
  rd <- griddescribe(reference)
  misaligned <- character(0)
  for(grid in grids)
    if(!coincide(rd, griddescribe(grid))) misaligned <- c(misaligned, grid)
 
  if(length(misaligned) > 0)
    cat("Misaligned grids: \n\t", paste(misaligned, collapse="\n\t"), sep="")
  return(invisible(misaligned))
}
