crop.grid <-
function(x, buffer, ...){
#--------------------------------------------------------------------------------------------------#
#  crop.grid   Ethan PlunkettJanuary 2011
#  This function crops an object of class "grid" by removing the number of cells specified in 
#    buffer from the edges. It also updates the grid metadata to keep it properly georefrenced. 
#(the coordinates of the lower left corner and the dimensions are updated) 
#  Arguments:
#grid : the grid to be cropped
#buffer : the number of cells to remove from the edges.
#--------------------------------------------------------------------------------------------------#
  if(!inherits(x, "grid")) stop("x must be a grid object")
  if(buffer ==0) return(x)
  if(buffer < 0){
  warning("Buffer must be positive.  Returning unmodified grid.")
  return(x)
  }
  x$m <- crop(x$m, buffer)  
  x$xll <- x$xll + buffer*x$cellsize
  x$yll <- x$yll + buffer*x$cellsize
  x$nrow <- x$nrow - 2*buffer
  x$ncol <- x$ncol - 2*buffer
  return(x)
}

