if(FALSE){ # skip
friskcache <- function(spacetofree = 0, deletecopies = TRUE, getmainlock = TRUE, maxhours=6){

  changed <- FALSE
  ci <- getcacheconfig()
  if(!ci$on){
    cat("Caching isn't on. Nothing to frisk.\n")
    return(invisible(NULL)) 
  }
  lp <- paste(short.name(), " cache", sep="") # define lock path
  msg <- paste(short.name(), "-R", sep="")
  
  
  get.lock(lp, message=msg, slash=TRUE)
  on.exit(return.lock(lp, slash=TRUE)) # in case there are errors
  d <- getcachedir(locking=FALSE)

  # Check for stale "copying" grids
  sv <- d$status %in% "copying"
  if(any(sv)){
    delta <- difftime(Sys.time(),  d$cachedate[sv], unit="hours")
    sv[sv] <- delta < maxhours
  }
  
  if(any(sv)) {
    changed <- TRUE
    for(row in which(sv)){
      dir <- gsub("[/\\\\][^/\\\\]*$", "", d$cache[row])
      unlink(dir, recursive=TRUE)
      if(file.exists(dir)) stop("Couldn't delete stale copying dir:", dir, sep="")
    }
    d <- d[!sv, , drop=FALSE]
    cat("Cleared ", sum(sv), " stale 'copying' directories.\n", sep="")
  }
  
  
  # Check for grids listed in index that aren't on disk.
  sv <- !file.exists(d$cache)
  if(any(sv)){
    changed <- TRUE
    d <- d[!sv, , drop=FALSE]
    cat("Cleared ", sum(sv), " grids from index that didn't exist on disk.\n", sep="")
  }
  
  # Check for directories in the index that aren't on disk.
  dirs <- list.dirs(getcache()$cachepath, full.names=TRUE, recursive=FALSE)
  dirs <- gsub("//", "/", dirs)
  index.dirs <- gsub( "/[^/]*$", "", d$cache)
  
  extra.dirs <- setdiff(dirs, index.dirs)
  if(length(extra.dirs > 0)){
    unlink(extra.dirs, recursive=TRUE)
    changed <- TRUE
    cat("Deleted ", sum(!file.exists(extra.dirs)), " of ", length(extra.dirs), " directories that weren't in the index.\n", sep="")
  }
  
  if(changed)
    putcachedir(d, unlock=FALSE)
   
  # on.exit will return lock for me
}

} # end skip