getcachepath <- function(grid, justhash = FALSE){
  # this function hashes the grid to determine the path to the index 
  # file where the grid should be tracked
  # if grid is a vector it will return a vector of properly hashed grids
  # library(gtools)
  # Argument:
  #   grid : Either a character indicating the path to a grid OR
  #     a numeric with the hash ID that should be looked up.
  #  justhash : FALSE (the default) and the function returns the path to the
  #    cache index file.  TRUE and it returns just the hash.
  ci <- getcacheconfig()
  
  if(is.numeric(grid)){
    hash <- grid
  } else {
    grid <- toupper(gsub("/", "\\\\", grid))
    hash  <-  as.numeric(vapply(asc(grid, simplify = FALSE), sum,  integer(1)) %% ci$nbins  + 1)  
  }
  if(justhash) return(hash)
  
  paths <-   paste0(ci$cachepath, "/index/", hash, ".txt")
  return(paths)
  
}