

gridfun <- function(FUN, grids, vars, outgrid, tilesize=2000, na.rm=TRUE, na.value = -9999,
                    overwrite=FALSE, as.integer=FALSE, 
                    cacheok=TRUE, as.mosaic, extra.args, tiles){
  
  if(!getwindow()$set) stop("gridinit, mosaicinit, or refmosaicinit must be called prior to this function.")
  if(missing(as.mosaic)) as.mosaic <- .status$as.mosaic
  if(length(as.integer)==1) as.integer <- rep(as.integer, length(outgrid))
  if(length(as.integer) != length(outgrid))
    stop("as integer must be a single value or of the same length as outgrid")
  for(i in 1:length(outgrid)){
    if(griddescribe(outgrid[i], cache = FALSE)$type != "missing"){
      if(overwrite) 
        gridkill(outgrid[i])
      else
        stop("grid \"",outgrid[i], 
             "\" already exists use overwrite=TRUE or a different output grid.")
    }  
    if(as.mosaic){
      newmosaic(path=outgrid[i], as.integer=as.integer[i])
    } else{
      gridcreate(outgrid[i], as.integer=as.integer[i])  				
    }
  }	
  tileinit(tilesize, buffer=0)
  if(missing(tiles)) tiles <- 1:ntiles()
  for(i in tiles){
    tilefun(FUN=FUN, grids=grids, vars=vars, outgrid=outgrid, tilenumber=i, na.rm=na.rm, 
            na.value=na.value, as.integer=as.integer, cacheok=cacheok,
            as.mosaic=as.mosaic, extra.args=extra.args)
  }
  
  
}
