gridinit <- function(server=NA,  port=3333, log=FALSE, add=FALSE, drive=NA){
  if(.status$verbosity >= 2) cat("gridinit called with arguments:", 
                                 "\n\tserver=", as.character(server), 
                                 "\n\tport=", port,"\n\tlog=", log, 
                                 "\n\tadd=", add, 
                                 "\n\tdrive=", drive, 
                                 sep="")

  
  # server=NA; port=3336; log=FALSE; add=FALSE; drive=NA
  if(is.null(server)) server <- NA
  if(!is.na(server) & server == "") server <- NA

  
  local <- is.na(server)[1]
  if(local){
    server <- "/."  # note an empty string doesn't work. R complains! 
    port <- 3333
  }
  
  if(!add) cleanup()  # this clears the tilescheme and any prior connections
  
  .gridinit(server=server, local=local, port=port, log=log)
  if(!local){
    w <- getwindow(query.server=TRUE)
  } else {
    w <- list(xll=NA, yll=NA, nrow=NA, ncol=NA, cellsize=NA, tileonly=NA,  set=FALSE )
  }
  prior.connection <- .status$activeconnection
  this.connection <- data.frame(set=w$set, 
                                xll=w$xll, 
                                yll=w$yll, 
                                nrow=w$nrow, 
                                ncol=w$ncol, 
                                cellsize=w$cellsize, 
                                local=local, 
                                server=server, 
                                port=port, 
                                log=log,                          
                                pane=NA,
                                drive=tolower(drive)
                               )  
  
  if(!add){  
    .status$connections <- this.connection
    .status$activeconnection$connection <- 1
    .status$as.mosaic <- FALSE 
    
  } else {
    r <- checkwindow(as.list(this.connection)) 
    if(!r$r){ # if the window is bad  	  
      setconnection(prior.connection$connection)
      setcache(prior.connection$cache)
      activateconnection()
      .status$activeconnection <- prior.connection # this is here to maintin the pending parts of activeconnection
      stop("New connection can't be added.", r$msg)
    }
  
    .status$connections <- rbind(.status$connections, this.connection)
    .status$activeconnection$connection <- nrow(.status$connections)
  }

  # Set reference window if we've succesfully set this connection
  if(is.na(.status$referencewindow$cellsize) & this.connection$set){   
    .status$referencewindow <- list(xll=w$xll, 
                                    yll=w$yll, 
                                    nrow=w$nrow, 
                                    ncol=w$ncol, 
                                    cellsize=w$cellsize)
    .status$workingresolution <- w$cellsize
  }
  
  .status$activeconnection$cache <- FALSE

}
