gridlist <- function(path=""){
  #--------------------------------------------------------------------------------------------------#
  # Returns a character vector with all the grids in the path (or root path if path = "")
  #--------------------------------------------------------------------------------------------------#
  list <- paste(rep("a", 1000), collapse="")  # a big string
  done <- FALSE
  .status$gsdowntime <- 0  # The amount of time the gridserver has been down
  while(!done){  
    st <- system.time({
      r <- .C("R_gridlist", integer(1), as.character(path), as.character(list), PACKAGE="caps_lib")
    })
    .status$gridwait <- .status$gridwait + as.numeric(st[3])    
    done <- .donetrying(code=r[[1]], st, reset=FALSE)    
  }
  
  if(r[[1]] == -10007) stop("Invalid path; the folder \"", path,  "\" doesn't exist.")
  parseerror(r[[1]], "gridlist")
  list <- strsplit(r[[3]], "[[:space:]]")
  return(list[[1]])
}

