gridpredict <- 
  function(fit, grids, vars, outgrid, tilesize = 2000, na.rm = TRUE, 
           list = NULL, force = NULL, na.value = -9999, overwrite = FALSE, 
           as.integer = FALSE, cacheok = TRUE, as.mosaic, group = NULL,  ...){
  if(!getwindow()$set) stop("gridinit must be called prior to this function.")
  if(length(as.integer)==1) as.integer <- rep(as.integer, length(outgrid))
  if(missing(as.mosaic)) as.mosaic <- .status$as.mosaic
  if(length(as.integer) != length(outgrid))
    stop("as integer must be a single value or of the same length as outgrid")
  for(i in 1:length(outgrid)){
    if(griddescribe(outgrid[i], cache = FALSE)$type != "missing"){
      if(overwrite) 
        gridkill(outgrid[i])
      else
        stop("grid \"",outgrid[i], 
             "\" already exists use overwrite=TRUE or a different output grid.")
    }	
    if(as.mosaic){
      newmosaic(path=outgrid[i], as.integer=as.integer[i])
    } else{
      gridcreate(outgrid[i], as.integer=as.integer[i])					
    }
  }	
  tileinit(tilesize, buffer=0)
  for(i in 1:tilescheme()$totaltiles){
    tilepredict(fit=fit, grids=grids, vars=vars, outgrid=outgrid, tilenumber=i, na.rm=na.rm, 
                list=list, force=force, na.value=na.value, as.integer=as.integer, cacheok=cacheok,
                as.mosaic=as.mosaic, group = group, ...)
  }
}
