makecacheconfig <- function(dir){
  # Creates a cacheconfig file with default values.
  
  if(missing(dir)){
    cp <- .status$cacheconfigpath
  } else {
    dir <- gsub("[/\\\\]$", "", dir)
    file <-  gsub("^.*/", "", .status$cacheconfigpath)
    cp <- paste(dir, "/", file, sep="")
  }
  
  
  
  if(file.exists(cp)) stop(cp, "already exists.  Delete or edit it manually.")
  l <- c(
    "cachepath = 'c:\\gridcache\\'   ; path to machine's grid cache",
    "maxsize = 800                 ; maximum size of cache, in GB",
    "minfree = 20                  ; miniumum amount of free space left on disk in GB",
    "nbins = 1000                  ; number of bins used when hashing the grid path to identify index file",
    "deletesize = 10               ; amount of space to clear up at a time in GB",
    "logdetails = 0					       ; If 1 log details to [anthill dir]/gridcachedetails.log  if 0 don't."
  )
  writeLines(l, cp)
}
