if(FALSE){ # Skip testing code:
  # Test makedir
  require(anthill)
  config("x:/anthill/control")
  
  dir="c:/temp/makedirtest"
  duration=120
  makedir(dir)
  
  makedirtest <- function(duration=80, dir="c:/temp/makedirtest"){
    start <- Sys.time()
    while( Sys.time()  < (start + duration) ){
      new.dir <- format(Sys.time(), format="%H%M%S")
      new.dir <- paste(dir, "/", new.dir, sep="")
      makedir(new.dir)
    }
  }  
  call <- rep("makedirtest()", 3)
  simple.launch(call=call , name="test makedir", owner="Ethan")
  
  info()
  purge.project(1)
  
  launch(4)
  
} # end skip

makedir <- function(path, recursive=FALSE, locking=TRUE){
  # this is a wrapper to dir.create which is robust to parallel calls on the same directory
  # and doesn't give warnings when the directory already exists
  path <- gsub("[/\\\\]$", "", path) # drop trailing "/"
  if(file.exists(path)) return(invisible())
  if(locking){
    get.lock(path)
    on.exit(return.lock(path))
  }
  dir.create(path, recursive=recursive, showWarnings=FALSE)
  first <- TRUE
  start <- Sys.time()
  while(!file.exists(path)){
    Sys.sleep(.05) 
    if(first){
      cat(path, "didn't exist on first check")
      first <- FALSE
    }
    elapsed <- difftime(Sys.time(), start, units="sec")
    if(elapsed > 60)
      stop("Could not make dir: ", path, sep="")
  }
}

