if(FALSE){
  
  script.path <- "X:/gridiolib/Python/TileRaster.py" 
  rowsize <- 200
  colsize <- 150
  reference <- "C:/temp/gridiotest/makemosaic/demmosaic"
  referencemosaic <- "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner_m"
  script.path <- "Z:/Users/Ethan/makemosaic/TileRaster.py" 
  rowsize <- 10000
  colsize <- 10000
  
  cleanup()
  gridinit()
  setwindow(source)
  tileinit(rowsize, 0, colsize)
  plotextent()
  
  panemap <- (1:20)%in% c(3:4, 6:15, 17:19)  # for LCC with 10000 x 10000
  
  
  
  
  library(gridio)
  source <- "C:/Users/landeco/huc6_ctr_low"
  mosaic <- "c:/Users/landeco/huc5_ctr_low_m5"
  referencemosaic <- "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner_m"  
  python.path="C:/Python26/ArcGIS10.0/python.exe"
  makemosaicpy(source, mosaic, referencemosaic = referencemosaic)
}

makemosaicpy <- function(source, mosaic, rowsize,  colsize=rowsize, referencemosaic,
                         panemap, 
                         python.path="C:/Python26/ArcGIS10.0/python.exe"){
  
  if(nchar(mosaic)> 90) warning("Mosaic path may be too long.")
  
  
  script.path = system.file("python/TileRaster.py", package="gridio")
  
  source <- gsub("\\\\", "/", source) # convert to forward slashes
  source <- gsub("/$", "", source)  # drop trailing slash 
  
  mosaic <- gsub("\\\\", "/", mosaic) # convert to forward slashes
  mosaic <- gsub("/$", "", mosaic)  # drop trailing slash 
  name <- gsub("^.*/", "", mosaic)  
  now <- function() format(Sys.time(), format = .status$timeformat)
  
  cleanup()  # disconnect from any gridserver
  gridinit()  # setup for local access
  
  sd <- griddescribe(source, cache = FALSE) # source description
  if(sd$type == "missing") stop("Source grid '", source, "' is missing.")
  if(sd$mosaic)  stop("Source grid '", source, "' is already a mosaic.")

  # Make mosaic directory
  if(file.exists(mosaic)) stop("Mosaic directory already exists. Can't make new mosaic.")
  # unlink(mosaic,recursive=TRUE)
  makedir(mosaic, recursive=TRUE, locking=FALSE)
  
  # Make pane information
  if(!missing(referencemosaic)){ 
    md <- mosaicinfo(referencemosaic)
    extent <- md$extent
    if(!coincide(sd, extent)) stop("Source grid extent doesn't match refrence grid extent.")
    
    rowsize <- md$rowsize
    colsize <- md$colsize
    panemap <- md$panemap
    panemapdefined <- TRUE
    setwindow(extent)
  } else {
    panemapdefined <- FALSE
    setwindow(source)
  }
  
  tileinit(rowsize=rowsize,buffer=0, colsize=colsize)
  ts <- tilescheme()
  
  if(missing(panemap)) panemap <- rep(TRUE, ntiles())
  
  n <- sum(panemap)
  
  paneinfo <- data.frame(drive=rep(NA, n), server=NA, port=NA, active=1, ncol=NA, nrow=NA, 
                         xll=NA, yll=NA, cellsize=NA,  landscape=NA,  comment=NA)
  paneinforow <- 1  #the row we are currently writing to)
  paneinfoitems <- c("xll", "yll", "nrow", "ncol", "cellsize")  # fields populated from the pane's window
  paneinfomv <-match(paneinfoitems, table=colnames(paneinfo))  # match vector used to fill in table    
  for(i in which(panemap)){  # Loop through panes (skipping those that aren't in the panemap)     
    settile(i)
    pane <- tiledetails()
    paneinfo[paneinforow, paneinfomv] <- unlist(pane[paneinfoitems])
    paneinfo$comment[paneinforow] <- paste("Pane ", i)
    paneinforow <- paneinforow + 1
  } # end loop through panes
  
  # Figure out the number of digits, the padded pane numbers, and the 
  # basename - used for naming directories within the mosaic
  ndigits <- nchar(as.character(ntiles()))
  paneids <- which(panemap)
  panes <- paste(paste(rep(0, ndigits), collapse = "", sep = ""), 
                 paneids, sep = "")
  panes <- substr(panes, start = nchar(panes) - ndigits + 1, stop = nchar(panes))
  basename <- paste(substr(name, start = 1, stop = 13 - ndigits))
  
  # Make index shapefile 
  library(rgdal)
  polys <- list()
  paneids <- which(panemap)
  for(i in 1:nrow(paneinfo)){
    b <- getbounds(as.list(paneinfo[i, ]))
    b[ , 1] <- b[, 1] + 0.25 * sd$cellsize  # contract polygon boundary by .25 cell 
    b[ , 2] <- b[, 2] - 0.25 * sd$cellsize # same
    xvals <- as.numeric(b[1, c(1, 1, 2, 2, 1)])
    yvals <- as.numeric(b[2, c(1, 2, 2, 1, 1)])
    cbind(xvals, yvals)
    polys[[i]] <- Polygons(list(Polygon(coords=cbind(xvals, yvals))), paneids[i])
  }
  a<- SpatialPolygons(polys, pO=1:length(polys))
  data <- data.frame(ID=paneids, Tile=panes) 
  rownames(data) <- paneids
  b <- SpatialPolygonsDataFrame(a, data=data)
  writeOGR(obj=b, dsn=mosaic, layer="indexpoly", driver="ESRI Shapefile", overwrite_layer=TRUE)  
  # cp <- function(x) gsub("/", "\\\\", x) # clean path
  cp <- function(x) gsub("\\\\", "/", x) # clean path  
  
  # Edit python script 
  l <- readLines(con=script.path)
  l <- gsub("[newmosaic]", cp(mosaic), l,  fixed=TRUE)
  l <- gsub("[input]", cp(source), l, fixed=TRUE)
  l <- gsub("[referencegrid]", cp(source), l, fixed=TRUE)
  l <- gsub("[shapefile]", cp(paste(mosaic, "/indexpoly.shp", sep="")),l,  fixed=TRUE )
  l <- gsub("[basename]", basename, l,  fixed=TRUE)
  l <- gsub("[tilelist]", paste('"', panes,'"', collapse=', ', sep=""), l, fixed=TRUE)
  #cat(l, sep="\n")
  s <- paste(mosaic, "/tile.py", sep="")
  writeLines(text=l, con=s)
  
  # Call the script
  command <- paste(python.path, cp(s))
  cat("Executing system command: ", command, "\n")
  system(command= command, intern=TRUE)
  if(!file.exists(paste(mosaic, "/pycompleted", sep="")))
    stop("Python tiling script failed to complete.")
  
  
  # Verify dimensions of output grid and check for panes which contain no data
  empty.panes <- rep(FALSE, nrow(paneinfo))
  for(i in 1:nrow(paneinfo)){
    pp <- panepath(path=mosaic, name=basename, id=as.numeric(panes[i]), npanes=length(panemap))
    pd <- griddescribe(pp, cache = FALSE)
    if(pd$type %in% "missing") 
      stop("Pane", as.integer(panes[i]), " appears to be missing.")
    if(!coincide(as.list(paneinfo[i, ]), pd))
      stop("The extent of pane ", as.integer(panes[i]), " isn't right.")
    if(pd$sd == -2){ # an sd of -2 indicates only NA in grid
      empty.panes[i] <- TRUE
      gridkill(pp)
      panedir <- gsub("/[^/]*$", "", pp)
      unlink(panedir, recursive = T)
    }
  }
  
  # Drop empty panes from pane info
  paneinfo <- paneinfo[!empty.panes, ]
  panes <- panes[!empty.panes]
  as.numeric(panes)
  panemap <- rep(FALSE, length(panemap))
  panemap[as.numeric(panes)] <- TRUE
  
  # Write descriptor file
  panemaptxt <- paste(as.character(as.integer(panemap)), collapse="")
  st <- fileinfo(x=paste(source, "/sta.adf", sep=""))$date
  type <- sd$type
  
  lines <- c( 
    paste("name = '", name,"'", sep=""), 
    "type = 'derived'", 
    paste("timestamp = '", now(), "'", sep=""), 
    paste("source = '", gsub( "/","\\\\", source), "'", sep=""), 
    paste("sourcetimestamp = '",   format(st, format =.status$timeformat), "'" , sep=""), 
    paste("extent = ", 
          with(getwindow(), 
               paste(ncol,
                     nrow,
                     formatdouble(xll), 
                     formatdouble(yll), 
                     formatdouble(cellsize),
                     "-9999",  # no data value - needed by APL
                     ifelse(type=="integer", 1, 2),
                     sep=",")), 
          sep=""),
    paste("rowsize = ", rowsize, sep=""),
    paste("colsize = ", colsize, sep=""),
    paste("rows = ", ts$rows, sep=""), 
    paste("cols = ", ts$cols, sep=""), 
    paste("panemap = '", panemaptxt, "'", sep="")
  )
  writeLines(lines, con=paste(mosaic, "/mosaicdescrip.txt", sep=""))
  
  
  # Write pane info to gridservers.txt within mosaic folder  
  paneinfo$xll <- formatdouble(paneinfo$xll)
  paneinfo$yll <- formatdouble(paneinfo$yll)
  paneinfo$cellsize <- formatdouble(paneinfo$cellsize)  
  write.table(x=paneinfo, file=paste(mosaic, "/gridservers.txt", sep=""), 
              row.names=FALSE, na="",  sep="\t",  quote=FALSE)
  
  
  if(.status$verbosity > 0) cat("Done making mosaic '", mosaic, "'\n\t\tfrom '", source, "'\n", sep="")
} # end function definition
