

makemosaicstitchworkspace <- function(workspacepath = "X:/Anthill/mosaicstitch.Rdata", refgrid = "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner", refmosaic = "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner_m"){
  # This function creates a workspace that can be used for stitching and mosaicing.  
  # It was specificly created so Brad can create R projects from within APL that stitch and mosaic
  # The reference grid and mosaic is baked into the workspace.
  
  stitch <- function(x){
    x <- gsub("\\\\", "/", x)
    
    library(gridio)
    gridinit()
    res <- batchstitch(x, reference = refgrid)
    if (any(res$error)){
      suffix <- ifelse(sum(res$error) > 1, "s", "") 
      sv <- res$error
      stop("mosaic", suffix, " failed to stitch: ",  paste(res$mosaic[sv], " - ", res$message[sv], collapse = " -- ", sep =""))
    }
  }
  
  mosaic <- function(x){
    x <- gsub("\\\\", "/", x)
    library(gridio)
    gridinit()
    res <- batchmosaic(x,referencemosaic = refmosaic)
    if (any(res$error)){
      suffix <- ifelse(sum(res$error) > 1, "s", "") 
      sv <- res$error
      stop("grid", suffix, " failed to mosaic: ",  paste(res$grid[sv], " - ", res$message[sv], collapse = " -- ", sep =""), 
           "failed to stitch.")
    }
      
  }
  
  
  save(list = c("stitch", "mosaic", "refgrid", "refmosaic"), file = workspacepath)
   
}