makeparetokernel<-function(scale, shape, max.r = max.r, 
                             cellsize) {
  stop("This function is broken because it depended on the POT package which is no longer on cran.")
  #  library("POT")
  max.r.cells <- max.r/cellsize
  size = ceiling(max.r.cells) * 2 + 1
  center = ceiling(max.r.cells) + 1
  kernel <- new("matrix", 0, size, size)
  
  rows <- row(kernel)
  cols <- col(kernel)
  dists <- sqrt( (rows - center)^2 + (cols - center)^2 )
  
  kernel[ , ] <- dgpd(dists, scale = scale, shape = shape, log = FALSE)
  kernel[ dists > max.r] <- 0
  
  kernel[center, center] <- 1/scale  ### We don't want a donut
  # dgpd(x) approaches 1/scale as x approaches zero but is zero when 
  # x is zero.  That's unfortunate beause I'm pretty sure we want 
  #  to include the center cell.
  # This is a hack to give the center cell weight.  It whould work as long as 
  #  the loc argument of dgpd is 0. (which it is here)
  # This generally will put a lot of weight on the center cell.
  
  kernel <- kernel/sum(kernel)
  # This last part deletes the cells at the edge if they are all zero
  if (all(kernel[1, ] == 0, kernel[, 1] == 0, 
          kernel[nrow(kernel),] == 0, kernel[, ncol(kernel)] == 0))
    kernel <- kernel[2:(nrow(kernel) - 1), 2:(ncol(kernel) - 1)]
  return(kernel)
}