
# Define function to add the result of two calls to table
mergetables <- function(..., numeric = FALSE) {
  # function to merge the result of multipe calls to table. 
  # Arguments:  ...  The result of calls to table (must have the same number of dimensions)
  # numeric:  if TRUE typcast the dimension names as numeric for sorting purposes.
  l <- list(...)
  l <- (l[!sapply(l, is.null)])
  ndim <- length(dim(l[[1]]))
  all.values <- vector(mode="list", length=ndim)
  for(j in 1:ndim){
    for (i in 1:length(l)) {
      if (class(l[[i]]) != "table") 
        stop("this function works on table objects only")
      all.values[[j]] <- base::union(dimnames(l[[i]])[[j]], all.values[[j]])
    }
  }
  if (numeric) 
    all.values <- lapply(all.values, as.numeric)
  all.values <- lapply(all.values, sort, na.last = TRUE)
  all.values <- lapply(all.values, as.character)
  
  # Preallocate array to hold results
  dim <- lapply(all.values, length)
  counts <- array(data=0, dim=dim, dimnames=all.values)
  
  for (i in 1:length(l)) {
    mvs <- vector(mode="list", length=ndim)    
    for(j in 1:ndim)
      mvs[[j]]<- match(dimnames(l[[i]])[[j]], all.values[[j]])    
    val <- do.call("[", c(list(counts), mvs, list(drop=FALSE))) + l[[i]]
    counts <- do.call("[<-", c(list(x=counts), mvs, list(value=val)) )
  }
  
  counts <- as.table(counts)
  return(counts)
}