
plot.tilehist <- function(x, which, ...){
  if(missing(which)){
    if(inherits(x$counts, "list")) stop("You must specify which class to plot via the \"which\" argument") 
    x$xname <- "entire grid"
  } else {
    if(!as.character(which) %in% names(x$counts)) stop(which, " wasn't one of the classes in the grid")   
    x$counts <- x$counts[names(x$counts) %in% as.character(which)][[1]]
    x$xname <- which
  }
  proportions <- x$counts/sum(x$counts)
  diffs <- x$breaks[-1] - x$breaks[-length(x$breaks)]
  x$density <- x$intensity <-  proportions/diffs
  x$equidist <- diff(range(diffs)) < 1e-07 * mean(diffs)
  x$classes <- NULL
  class(x) <- "histogram"
  plot(x, ...)
  return(invisible(x)) 	
}
