refreshservers <- function(drive = NA){
  oc <- saveconnections()
  cs <- .status$connections
  setcache(FALSE)
  sv <- !cs$local
  if (!is.na(drive)) {
    drive <- paste0(tolower(substr(drive, start = 1, stop = 1)), 
                    ":")
    sv <- sv & cs$drive == drive
  }
  cons <- which(sv)
  for (con in cons) {
    setconnection(con)
    activateconnection()
    gridio:::.refreshserver()
  }
  
  cat("Refreshed ", length(cons), " server", ifelse(length(cons) > 
                                                      1, "s", ""), ".\n", sep = "")
  if(any(sv))
    print(cs[cons, ])
  
  restoreconnections(oc)
  cleargridinfo() # b/c refreshservers is often called after manually 
    # deleting grids which generally also makes the gridinfocache obsolete 
    # and clearing cachedgridinfo is less costly and disrupting than refreshing 
    # servers
}
