setsubtile <- function(subtile) {
  #------------------------------------------------------------------------------------------------#
  # Ethan Plunektt Jan 2011
  # This function sets the subtile indices (i, j, and index in subttilescheme) to the proper 
  #  values for the subtile number(x)
  #  Arguments :
  #    x : the subtile number to set the subtile scheme to.
  #  Value : It returns nothing and has the side effect of setting the indices to
  #     new values.
  #  Note - i refers to the tile row number and j the subtile column number
  #------------------------------------------------------------------------------------------------#
  if(is.na( .status$subtilescheme$rows)) stop("subtile scheme not initialized.  See subtileinit.")
  
  if(subtile > .status$subtilescheme$n){ # if indexing the tile has moved us outside the window
   stop("That subtile doesn't exist.")
  }
  .status$subtilescheme$j <- subtile %% .status$subtilescheme$cols
  if(.status$subtilescheme$j == 0) .status$subtilescheme$j <- .status$subtilescheme$cols
  .status$subtilescheme$i <- ((subtile-1) %/% .status$subtilescheme$cols) + 1
  .status$subtilescheme$index <- subtile
}
