settile <-
function(tile){
# Ethan Plunektt Jan 2011
# This function sets the tile indices (i, j, and tileno in tilescheme) to the proper values for the tile number
# it invisibly returns TRUE as long as the specified tile exists.  If the specified tile doesn't exist it 
# it invisibly returns FALSE and set's tileno, i, and j to zero (in .status$tilescheme)
#  Note - i refers to the tile row number and j the tile column number
  if(is.na(tilescheme()$totaltiles))
    stop("gridinit, setwindow, and tileinit or subtileinit must all be called prior to this function.")  
  
  if(length(tile) != 1) stop("Tile must be a singe value.")
  
  if(tile > .status$tilescheme$totaltiles){ # if indexing the tile has moved us outside the window
    .status$tilescheme$i <- 0# then set the indices to zero
    .status$tilescheme$j <- 0
    .status$tilescheme$tileno <- 0
    return(invisible(FALSE))
  }
  .status$tilescheme$j <- tile %% .status$tilescheme$cols
 	if(.status$tilescheme$j == 0) .status$tilescheme$j <- .status$tilescheme$cols
  .status$tilescheme$i <- ((tile-1) %/% .status$tilescheme$cols) + 1
  .status$tilescheme$tileno <- tile
  if(!is.na(.status$subtilescheme$nc)) stinit() # initialize this tile's sub-tile info
  return(invisible(TRUE))
  
}

