setwindow.character <- function(x, ...){
  if(is.na(.status$activeconnection$connection)) 
    stop("There is no active connection. Call gridinit() prior to setwindow()")
  if(.status$connections$set[.status$activeconnection$connection]) 
    stop("The access window for the active connection is already set.")
  
  # If it's a mosaic call set window on it's description
  if(ismosaic(x, lock=anthillrunning())){
    setwindow(griddescribe(x))
    return()
  }
  
  r <- .setwindow(x, ...)
  check <- checkwindow(r) 
   
  if(!check$r){
    .cleanup()
    con <- .status$activeconnection$connection
    local <- .status$connections$local[.status$activeconnection$connection] || 
      .status$activeconnection$cache
    if(local){
      .gridinit(server="", local=TRUE, log=.status$connections$log[con])
    } else {   
      .gridinit(server=.status$connections$server[con], 
                local=FALSE,
                port = .status$connections$port[con], 
                log = .status$connections$log[con]
      )
    }
    stop("New window doesn't align with prior windows.", check$msg)
  } # end failed check
  
  for(i in c("nrow", "ncol", "xll", "yll", "cellsize","set")) 
    .status$connections[.status$activeconnection$connection, i] <- r[[i]] 
  
  if(is.na(.status$referencewindow$cellsize)){
    for(i in names(r))  .status$referencewindow[[i]] <- r[[i]]
    .status$workingresolution <- r$cellsize
  }
  
  invisible(r)
  
  
  
  
}
