.status <- new.env(parent=globalenv())

# Gridwait tracking
.status$gridwait <- 0

# Cacheing 
.status$mb.per.gb <- 1000
.status$bytes.per.megabyte <- 1000000

.status$cache <- list(
  on=NA,
  path=NA,
  maxsize=NA,
  minfree=NA
)


# Connections
.status$referencewindow <- list(xll=NA, yll=NA, nrow=NA, ncol=NA, cellsize=NA)
.status$activeconnection <- list(connection=NA, cache=FALSE, pendingconnection=NA, pendingcache=NA)
.status$workingresolution <- NA
a <- logical(0)
.status$connections <- data.frame(set=a, 
                                  xll=a, 
                                  yll=a, 
                                  nrow=a, 
                                  ncol=a, 
                                  cellsize=a, 
                                  local=a, 
                                  server=a, 
                                  port=a, 
                                  log=a,                          
                                  pane=a,
                                  drive=a)
rm(a)

# Tile schemes
.status$tilescheme <- list(
  rowsize=NA,   # the number of rows of cells per tile
  colsize=NA,   # the number of rows of cells per col
  buffer=NA,    # the buffer (in cells)
  i=NA,         #  the row index of the current subtile 
  j=NA,         #  the column index of the current subtile 
  rows=NA,      # the number of rows of tiles 
  cols=NA,      # the number of columns of tiles
  lastrows=NA, # the numer of rows of cells in the last (bottom) row of tiles
  lastcols=NA,  # the number of columns of cells in the last (rightmost) column of tiles
  tileno=NA,    # the index of the current number (an integer between 1 and totaltiles)
  totaltiles=NA
)

.status$subtilescheme <- list(
  nr=NA, # number of rows of subtiles per tile (in general - the last row of tiles may have fewer)
  nc=NA, # number of columns of subtiles per tile  (in general)
  rowsize=NA,   # the number of rows of cells per subtile 
  colsize=NA,   # the number of columns of cells per subtile 
  i=NA,         #  the row index of the current subtile 
  j=NA,         #  the column index of the current subtile
  rows=NA,      #  the number of rows of subtiles in the curent tile (often the same as nr)
  cols=NA,      #  the number of columns of subtiles in the current tile (often the same as nc)
  index=NA,     #  the index of the current subtile (an integer between 1 and n) 
  n=NA          #  the number of subtiles in the current tile
)

# Mosaic stuff
.status$mosaic <- list(rowsize=NA, colsize=NA, rows=NA, cols=NA, panes=NA, lastrowsize=NA, 
                       lastcolsize=NA, panemap=NA)

.status$mosaicwindow <- list(xll=NA, yll=NA, nrow=NA, ncol=NA, cellsize=NA)

.status$as.mosaic <- FALSE  # default for as.mosaic




# Verbosity
.status$verbosity <- 0
# 0 = no printing
# 1 = minimal printing of important stuff
# 2 = more printing level of function calls?
# 3 = tons of printing

.status$windowwasnotset <- FALSE  
.status$gsdowntime <- 0  # the time we've been waiting while the gridserver is down
# used in functions that use the gridserver as well as isdone()



.status$gridinitcount <- list(local=0, server=0)

# STATIC globabl variables (not enforeced but they shouldn't be changed anywhere but here)

.status$cacheconfigpath <- "c:/cache_config.txt"  # standard location for the cache config file
    # not user configurable

# This sets the standard columns for the gridcache table
.status$cachecolumns <- c("source", "cache", "status", "cachedate",
                          "sourcedate", "reads", "size")
.status$cachecolumnformat <- c(rep("character", length(.status$cachecolumns) - 1), "numeric")

.status$timeformat <- "%d %b %Y, %I:%M:%S %p"  # time format used in sourcedate


# Standard items in an extent and grid  
.status$extentitems <-  c("xll", "yll", "nrow", "ncol", "cellsize")
.status$griditems <- c("m", .status$extentitems)


# Error codes that indicate the gridserver is down
.status$gsdowncode <- c(-625, -631)
.status$gswaitinterval <- 60
.status$nowindowcode <- -10013

.status$blocksizelimit <- 4000 * 4000

.status$gridinfo <- new.env()

