stid <- function(){
  #  stid         Ethan Plunkett      March 23, 2012
  # This function returns a distinct id for every subtile in the window.  The upper left subtile 
  #  is id 1 then id's increase from left to right and top to bottom (row dominant)

  # Make sure a subtile scheme it definied
  if(is.na(.status$subtilescheme$nr))
    stop("The subtile scheme is not defined.  gridinit, setwindow, and subtileinit must all be called prior to this function.")  

  # Calculate how many columns of subtiles there are 
  nsc = (.status$tilescheme$cols - 1) * .status$subtilescheme$nc  + 
    .status$tilescheme$lastcols / .status$subtilescheme$colsize  # numer of subtile columns  
  
  # Calculate the column and row index of the current subtile in the window as a whole
  ci <- (.status$tilescheme$j-1) * .status$subtilescheme$nc + .status$subtilescheme$j
  ri <- (.status$tilescheme$i-1) * .status$subtilescheme$nr + .status$subtilescheme$i
  
  # Calculate the overall index using row dominant indexing 
  # (left to right along first row then left to right along second row etc.)
  i <- (ri-1)*nsc + ci
  return(i)
}
