stri <- function(coreonly=FALSE){
  #------------------------------------------------------------------------------------------------#
  #  stri   Ethan Plunkett    March 8 2012
  # 
  #  funciton to return an index of the rows of a tile that contain the subtile
  # 
  #  it assumes that the matrix being indexed coincides with the current tile (including the buffer)
  #  Arguments :
  #     coreonly : If TRUE then the index will select only the core cells of the subtile.  If FALSE
  #       the index will reference both the core and the buffer of the subtile
  #------------------------------------------------------------------------------------------------#
  
  # Make local copies of tilescheme stuff
  b <- .status$tilescheme$buffer
  rowsize <- .status$subtilescheme$rowsize
  i <- .status$subtilescheme$i
 
  
  # Define the core of this subtile
  tr  <-  b + 1 + rowsize * (i -1)   # top row
  br  <- tr + rowsize - 1   # bottom row
  
  # Expand out to include the buffer (if necessary)
  if(!coreonly){
    tr <- tr - b
    br <- br + b
  }
  
  return(tr:br)
  
}
