writemosaicdesc <- function(md, path){
  # Write a mosaic decription file from an obejct of the form created by mosaicinfo 
  #  updates timestamp in the process.
  
  
  # Write descriptor file
  lines <- c( 
    paste("name = '", md$name,"'", sep=""), 
    paste("type = '", md$type, "'", sep=""), 
    paste("timestamp = '", format(Sys.time(), format=.status$timeformat ), "'", sep=""),  
    paste("source = '", md$source, "'", sep=""), 
    paste("sourcetimestamp = '", md$sourcetimestamp, "'", sep=""), 
    paste("extent = ", 
          with(md$extent, paste(ncol, nrow, formatdouble(xll), formatdouble(yll), 
                                formatdouble(cellsize), "-9999", ifelse(type=="integer", 1, 2), sep=",")), 
          sep=""),
    paste("rowsize = ", md$rowsize, sep=""),
    paste("colsize = ", md$colsize, sep=""),
    paste("rows = ", md$rows, sep=""), 
    paste("cols = ", md$cols, sep=""), 
    paste("panemap = '", paste(as.character(as.numeric(md$panemap)), collapse=""), "'", sep="")
  )
  writeLines(lines, con=paste(path, "/mosaicdescrip.txt", sep=""))
  
  }
