\name{activateconnection, setcache, setconnection}
\alias{activateconnection}
\alias{setcache}
\alias{setconnection}
\title{
These functions switch between connections in the connection list
}
\description{
\code{setcache} and \code{setconnection} change the pending cache status and connection number.
\code{activateconnection} switches the connection and cachemode to the pending values.
These functions are intended for internal use.  They are called by readblock, readblockc,
and writeblock. They may not be included in the package namespace in future versions of gridio.
}
\usage{
activateconnection()
setconnection(con)
setcache(x)
}

\arguments{
  \item{con}{
The index of the connection in the connections list (code{.status$connections}).
}

  \item{x}{
The desired cache mode either \code{TRUE} to setup for reading from the cache or \code{FALSE} 
to read or write from the non-cached version.
}
}

\details{
\code{setconnection} and \code{setcache} both change the pending status which isn't realized until 
\code{activateconnection} is called.  These are used internally to switch between connections
when \code{\link{readblock}} and \code{\link{writeblock}} or any of their wrappers are called. The user
shouldn't ever have to call these.
}
\value{
They return nothing.
}
\author{
Ethan Plunkett
}
\seealso{
\code{\link{findconnection}}
}
\keyword{spatial}
