\name{assembledataframe}
\alias{assembledataframe}
\title{
function to create a dataframe from a list of grids
}
\description{
this function assembles a dataframe from a named list of coinciding grids
}
\usage{
assembledataframe(grids)
}

\arguments{
  \item{grids}{
a named list of grids.  names will be retained as column names in the dataframe.
}
}
\value{
a 'tbl_df' and 'data.frame' (basically a data.frame) where each column is derived from the data within a grid in the list.  'tbl_df' is defined in dplyr.
}

\author{
Ethan Plunkett
}
\note{
This function is primarily intended for internal use but is included here in case it is useful.
}



\seealso{
\code{\link{gridstats}} makes use of this function.
}
\examples{

a <- as.grid(matrix(1:12, 3, 4), cellsize = 30, xll = 0, yll = 0)
b <- as.grid(matrix(runif(12), 3, 4), cellsize = 30, xll = 0, yll = 0)
c <- as.grid(matrix(rnorm(12), 3, 4), cellsize = 30, xll = 0, yll = 0)
res <- assembledataframe(list(a=a, b=b, c=c))




}
\keyword{ spatial }
