\name{buildsubgridindex}
\alias{buildsubgridindex}

\title{
function to build an index of the extent of each subgrid involved in a call to either \code{gridsplit} or code{gridstitch} when the index argument is used. 
}
\description{
This function is intended for internal use only.  It is made public in the namespace because that makes debugging other functions easier.
}
\usage{
buildsubgridindex(index, window, id.field, buffer, limit.extent)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{index}{
  The path to a shapefile containing polygons that define the extent of each subgrid.
}
  \item{window}{
  The extent of the complete grid that is being cut up.
}
  \item{id.field}{
The name of a field in index that is used to name the subgrids.
}
  \item{buffer}{
The amount that should be buffered beyond the boundary of the subgrid.
}
  \item{limit.extent}{
If TRUE then the extent will not be buffered off the edge of the original grid.
}
}
\details{
This is for internal use only.
}
\value{
A list of items: ind=ind, ids=ids, bounds=bounds, bbounds=bbounds
  \item{ind}{A spatialPolygondDataFrame this contains the polygons in the \code{index} shapefile 
  that overlap the \code{window}. }
  \item{ids}{A vector of id's associated with each polygon in \code{ind}}
  \item{bounds}{a dataframe describe the extent of each polygon in \code{ind}}
  \item{bbounds}{a dataframe describe the extent of each polygon in \code{ind} with its buffer.}
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{gridsplit}} and \code{\link{gridstitch}} are the user level functions that rely on this.
}
\keyword{ spatial }
