\name{cacheinit and makecacheconfig}
\alias{cacheinit}
\alias{makecacheconfig}
\title{
functions to initialize caching on a machine
}
\description{
\code{makecacheconfig} creates a new file at: c:/cache_config.txt with default values.  
\code{cacheinit} Uses the values in cache_config.txt to create an empty cache directory on the machine.
If the cache already exist it will be deleted. Use with care!}
\usage{
makecacheconfig(dir)
cacheinit()
}

\arguments{
\item{dir}{(optional) the dir where the file should be created. Ultimately it has to end up at c:/cache_config.txt. However, R may not have permission to write to that location so it may be useful to create it elsewhere initially.}

}

\details{
To set up caching on a new machine first call \code{makecacheconfig} then edit the file it creates at \file{c:/cache_config.txt} to specify the directory you would like to use for caching and how much space is allocated for caching. Finally call cacheinit.

Subsequent calls to cacheinit will delete the entire cache which may be useful if it becomes corrupt but should generally not be necessary.
}
\value{
These functions are called for their side effects.  They don't return anything.
}
\author{
Ethan Plunkett
}
\note{
If there's any doubt in your mind leave these functions alone. 
For caching to be used cacheok must be set to TRUE in functions that read from grids.
}
\keyword{spatial}
