\name{cleanup}
\alias{cleanup}
\title{
Function to release the internal buffers used by the .dll. 
}
\description{
This function releases the internal buffers used in the .dll.  It also resets \code{\link{header}} and \code{\link{tilescheme}} to their uninitialized states.
}
\usage{
cleanup()
}
\details{
This should be called after all read and write operations are done. It can also be used in conjunction with setwindow to force a change in the access window when using a remote grid server.
}
\value{
The function does not return anything.  It does reset \code{\link{header}} and \code{\link{tilescheme}}.
}
\author{
Ethan Plunkett
}
\seealso{
\code{\link{gridinit}}, \code{\link{setwindow}}, \code{\link{makewindow}}, and \code{\link{tileinit}} for initializing a grid server, setting an access window, and initializing a tile scheme, which are all undone by this command.
}
\examples{
# cleanup()
}

\keyword{ spatial}
