\name{crop}
\alias{crop}
\alias{crop.grid}
\alias{crop.matrix}

\title{
Function to crop a band of cells off the edge of a grid or matrix
}
\description{
This function crops \code{buffer} cells off the edge of a matrix or \code{\link{grid}} object.  It returns an object of the same type as \code{x} in which the outer \code{buffer} cells have been removed.  If \code{x} is a \code{\link{grid}} than the spatial refesrencing is updated as well.
}
\usage{

\method{crop}{grid}(x, buffer, ...)
\method{crop}{matrix}(x, buffer, ...)
}
\arguments{
  \item{x}{ Either a matrix or a \code{grid} object.}
  \item{buffer}{ An integer specifying how many cells to remove from around the edge of \code{x}.}
  \item{...}{ Arguments to be passed to other methods.}
}
\value{ An object of the same class as \code{x} with a slightly smaller extent.}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{writeblock}} uses crop to remove the buffer prior to writing the core of the grid.
}
\examples{
m <- matrix(1:30, 5, 6) 
crop(m, 1)
}
\keyword{ spatial }
