\name{findconnection}
\alias{findconnection}

\title{
function to find the appropriate connection for reading or writing a given extent.
}
\description{
This function is for internal use.  Given the extent and (optionally) the path to a grid it will return the index of the connection that is most suitable for reading or writing from and to the grid. It returns NA if no extent matches.
}
\usage{
findconnection(x, path = "", pane)
}
\arguments{
  \item{x}{
A list with items \code{xll}, \code{yll}, \code{nrow}, \code{ncol}, and \code{cellsize} defining the extent. 
}
  \item{path}{
(optional) The path to the grid. This is compared to the drive column in the connections list to determine which drive is best suited. If omitted the index of first connection with an extent matches that of x is returned.
}
  \item{pane}{
If pane is specified than the connection associated with that pane will be used. path is still relevant.
}
}
\details{
This is used internally by readblock and writeblock to figure out which connection should be used for each operation.
}
\value{
NA if no connections match.  Otherwise the index of the connection that should be used.
}
\author{
Ethan Plunkett
}
\keyword{spatial}
