\name{friskmosaics}
\alias{friskmosaics}
\title{
function to frisk mosaics
}
\description{
This functions validates mosaics. In particular it checks to make sure that if a mosaic is derived from a standard grid that the standard grid has not been modified since the mosaic was created.
}
\usage{
friskmosaics(x, err = FALSE, warn = FALSE)
}

\arguments{
  \item{x}{
A vector of paths to mosaics.
}
  \item{err}{
if \code{err} is \code{TRUE} than errors will be thrown if there are problems.
}
  \item{warn}{
if \code{warn} is \code{TRUE} than warnings will be thrown if there are problems.
}
}
\details{
This function checks each mosaic to make sure it exists and is up-to-date. 
}
\value{
It returns a data.frame with three columns

\item{code }{"a numeric result code."}
\item{path}{"the path to the mosaic in question"}
\item{message}{"a text description of the codes"}
}
\author{
Ethan Plunkett
}
\note{
Codes are:
  0 : mosaic is not derived
  1 : mosaic is up-to-date
  2 : mosaic is out of date
  3 : mosaic source doesn't exist
  9 : mosaic doesn't exist
}

\seealso{
\code{\link{mosaicinfo}}
}
\keyword{ spatial }
