 \name{friskstitched}
\alias{friskstitched}

\title{
function to frisk stitched grids to see if they are up to date
}
\description{
this function is to check that grids that might be derived from mosaics are, in fact, up to date.
}
\usage{
friskstitched(x, err = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
Path(s) to one or more grids that might have been derived from mosaics
}
  \item{err}{
if \code{err} is \code{TRUE} then throw an error if there is a problem. Otherwise return a table with a summary of the results.
}
}
\details{
In gridio it's possible to set up a mosaic of grids that can be read from and written to as if it's a single grid. In the background connections are made with a separate gridserver for each pane of the mosaic which allows the reading and writing load to be spread accross processes.  The resulting mosaics can then be stitched into a single grid object, during stitching logs are maintained of the stitch path and mosaic path.  This function compares those logs to the mosaic modificaiton date to determine if the stitched grids are out of date.
}
\value{
A table with columns
\item{mosaic}{The presumed path of the mosaic}
\item{error}{TRUE if an error occured, FALSE otherwise}
\item{message}{A description of the status of the stitched grid}
\item{complete}{The path to the complete grid (same as x)}
}
\author{
Ethan Plunkett
}

\seealso{
 \code{\link{friskmosaic}} frisks mosaics (that have been created from a complete grid), \code{\link{makemosaicpy}} is a function for making a mosaic from a grid,  \code{\link{batchmosaic}} will make mosaics for multiple grids skipping those that have up-to-date mosaics, \code{\link{stitchpy}} makes a grid from a single mosaic,  \code{\link{batchstitch}} stitches multiple mosaics skipping those that have up-to-date stitched grids.
}
\keyword{ spatial}
