\name{gridwait}
\alias{get.gridwait}
\alias{reset.gridwait}
\title{
functions to get and reset the gridwait time
}
\description{
All functions in the gridio library augment a variable stored in the package namespace by the number of seconds that they spend waiting on the gridserver (or the local gridio dll C code).  These functions allow the user (or another package) to query that time and reset the time to zero.
}
\usage{
get.gridwait()
reset.gridwait()
}

\value{
\code{get.gridwait} returns the number of seconds spend interacting with grids. \code{reset.gridwait} returns nothing.
}
\author{
Ethan Plunkett
}
\note{
These functions query the gridwait element of the .Status environment in the packages namespace.  They provide an easy way to access and reset that variable which would otherwise not be easily accessible outside to functions outside of the package.  They are intended mainly for use by Anthill where they are required to track gridwait time. 
}

\examples{
get.gridwait()
reset.gridwait()
get.gridwait()
}

\keyword{ spatial }

