\name{getbounds}
\alias{getbounds}
\title{
Function to calculate the bounding box of a grid in map coordinates
}
\description{
This function calculates the bounding box of a grid in the coordinate system (not in rows and columns) and returns it in the same format as used by \code{\link{bbox}} in the \pkg{sp}
package.
}
\usage{
getbounds(x)
}
\arguments{
  \item{x}{A \code{\link{grid}} or other object such as \code{header} or the result of a call to \code{\link{griddescribe}} with components: \code{nrow}, \code{ncol}, \code{xll}, \code{yll}, and \code{cellsize};
  or the path to a grid on disk (will only work if there is an active connection), or an sp object on which bbox can be called. 
}
}
\details{
The \code{\link{plotextent}} function relies on this function.
}
\value{
A two-column matrix; the first column has the minimum, the second the maximum values; rows represent the spatial dimensions (x and y).  This is the same format as returned by \code{\link{bbox}}.
}
\author{
Ethan Plunkett
}
\seealso{
\code{\link{plotextent}}, \code{\link{plotbounds}}
}
\examples{
#
}
\keyword{ spatial }
