\name{getwindow}
\alias{getwindow}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  function to get the attributes of the access window from a gridserver
}
\description{
This function gets the access window attributes from a gridserver. 
}
\usage{
getwindow(query.server=FALSE, pane.only = FALSE)
}

\arguments{
 \item{query.server}{
if FALSE the function will return the locally cached window information if TRUE it will query the dll or gridserver for its window.  TRUE is used by gridinit right after connecting to a gridserver to update the local cache and shouldn't be needed in other situations, except, perhaps, for debugging. 
}
\item{pane.only}{If the connection is a mosaic connection \code{getwindow} normally returns the window for the entire mosaic.  However if \code{pane.only = TRUE} then the window for the pane will be returned instead.
}
}

\value{
\item{ncol, nrow }{The number of columns and rows in the grid}
\item{xll, yll }{The x and y coordinates of the lower left corner of the grid. This is the lower left corner of the lower left cell - not the center of that cell.}
\item{cellsize}{The dimensions of each cell;  cells are also square.}
\item{tileonly}{TRUE if the grid can only be written and read in tiles and not in it's entirety }
\item{set}{TRUE if the window is set FALSE otherwise in which case all other values will be NA}
}

\author{
Ethan Plunkett
}
\note{
This function is used internally by gridinit when it is called in server mode.  
}

\seealso{
\code{\link{setwindow}},\code{\link{makewindow}},\code{\link{gridinit}}
}
\examples{
#getwindow()
}
\keyword{spatial}

