\name{gridclip}
\alias{gridclip}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
function to clip the data in x to where it overlaps the extent of y
}
\description{
Function to clip the data in x to where it overlaps the extent of y.  x must be a grid.  y can be a grid or any other list containing the grid alignment info (xll, yll, nrow, ncol, cellsize), a grid qualifies.
}
\usage{
gridclip(x, y)
}

\arguments{
  \item{x}{
a grid object (in memory)
}
  \item{y}{
a list containing the items (xll, yll, nrow, ncol, cellsize) defining the extent to clip to.
}
}
\details{
 Each cell's position relative to the projection is maintained.  
 y must have the same cell snapping as x.  If they don't overlap at all it will return a grid object with NA in each component.
  
}
\value{
A grid object containing the data in x over the extent of y. Where x doesn't overlap y the result will contain NA (possibly the entire result).
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{matchextent}}, \code{\link{overlay}}, \code{\link{overlap}}
}
\keyword{ spatial}
