\name{gridcreate}
\alias{gridcreate}

\title{
Function to create an empty grid on disk
}
\description{
This function creates an empty (all \code{NA}) grid  on disk at the location specified by \code{path}.  If /code{as.integer} is TRUE it will be an integer grid, otherwise it will be a real grid. 
}
\usage{
gridcreate(path, as.integer = FALSE, silent=FALSE)
}
\arguments{
  \item{path}{
This specifies the name and location of the grid to be created,  Relative paths are interpreted relative to the base path specified when \code{\link{gridinit}} is first called.
}
  \item{as.integer}{
This controls what type of grid is created.  \code{TRUE} specifies an integer grid; while \code{FALSE} specifies a real grid.
}
  \item{silent}{if TRUE no warning will be given if the grid already exists.  If FALSE a warning will be issued. Either way the pre-existing grid will be left untouched.
}
}
\details{
\code{\link{gridinit}}, and \code{\link{setwindow}} or \code{\link{makewindow}} must be called prior to this function. The grid will be of the same extent and location as the access window created by \code{\link{setwindow}} or \code{\link{makewindow}} and tracked by  \code{\link{header}}.
If the grid already exists it will be left untouched and a warning will be issued. The warning can be suppressed with \code{silent=TRUE}.
}
\value{
Nothing is returned.
}
\author{
Ethan Plunkett
}
\seealso{
\code{\link{gridinit}} and \code{\link{setwindow}} must be called prior to this function.   \code{\link{gridlist}}, and \code{\link{griddescribe}} provide information about grids on disk.
\code{\link{gridkill}} and \code{\link{gridcopy}} are other functions that manipulate grids on disk.
}
\examples{
#
}
\keyword{ spatial }
