\name{gridinitcount}
\alias{gridinitcount}

\title{
function to query the gridinit count
}
\description{
This function returns the number of calls to .gridinit since the gridio package was loaded.  
}
\usage{
gridinitcount(local = TRUE)
}
\arguments{
  \item{local}{
TRUE indicates the count of local .gridinit calls should be returned. FALSE for the server count.  
}
}
\details{
Due to a memory leak somewhere in the dlls (CAPS_LIB or ESRI's API) each local call to .gridinit consumes a little memory.  After a few thousand calls this R crashes, usually without warning. This function allows Anthill to monitors the number of calls and refresh threads as needed.
This problem was discovered when we added mosaics and caching to gridio, both of which lead to many more .gridinit calls.
}
\value{
If \code{local} is \code{TRUE} the count of calls to .gridinit in local mode.  Otherwise the count of calls in server mode.
}
\author{
Ethan Plunkett
}

\examples{

gridinitcount()

}

\keyword{ spatial }

