\name{internal functions}
\alias{formatdouble}
\alias{makedir}
\alias{panepath}
\alias{resetwindow}
\alias{gridiowritetable}

\title{
more internal functions
}
\description{
These functions are not intended for use by end users. At some point they may be dropped from the public namespace but it's easier to develop the package with them public.
}
\usage{
formatdouble(x, sig = 16)
makedir(path, recursive=FALSE, locking=TRUE)
panepath(path, name, id, npanes) 
resetwindow()
gridiowritetable(x, file, row.names = FALSE, 
                 sep = "\t", quote = FALSE, na = "", ...) 
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
  A numeric value.
}
  \item{sig}{
  How many significant digits would we like to represent.
}
\item{path}{ the path to either a directory or mosaic}
\item{recursive}{ if true make directory will recursively create directories to create the whole path}
\item{name, id, npanes}{the mosaic name, the pane id, and the number of panes}
\item{file}{The file to write to.}
\item{row.names, quote, sep, na, ...}{arguments passed on to \code{\link{read.table}}.}
\item{locking}{If true the path is locked prior to making the directory.}

}

\value{
\code{formatdouble} returns a text representation of the number.
\code{panepath} returns the path to the pane's grid.
\code{makedir} and cpde{resetwindow} don't return anything.

}

\author{
Ethan
}
\keyword{ spatial}

