\name{lookup.error}
\alias{lookup.error}
\title{
Function to lookup an error message given the error code from a capslib C call.
}
\description{
This function looks up the error message associated with the (negative) integer error code generated by a call to one of the functions in Edi's capslib.dll.
}
\usage{
lookup.error(err.code)
}
\arguments{
  \item{err.code}{
An integer error code generated by a call to one of the C functions in capslib.dll.
}
}
\details{
This function is primarily for internal use. The err.table is generated automatically from Edi's header files using the script: 
 /data/remake.err.table.R.  
}
\value{
A character string with the error message.
}
\author{
Ethan Plunkett
}
\seealso{
See Also as \code{\link{parseerror}}
}
\examples{
 lookup.error(-10007)
}
\keyword{spatial}
