\name{mergetables}
\alias{mergetables}
\title{
function to combine multiple calls to table into one result
}
\description{
this function combines multiple calls to table into one table
}
\usage{
mergetables(..., numeric = FALSE)
}
\arguments{
  \item{\dots}{
The results of multiple calls to table presumably on different subsets of one large dataset.
}
  \item{numeric}{
If the values being counted are numeric then set this to TRUE and the sorting will be based on numeric order.
If the values are characters then setting this to TRUE will make a mess.
}
}
\details{
This was written to allow calling table on a grid that is too big to fit in memory by first tabulating each tile and then combining the results with this function.

It assumes that each argument passed via ... has the same number of dimensions.
}
\value{
An object of class table that contains the counts of all values (or combinations of values) represented in the input tables.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{gridtable}}
}
\examples{

# One dimensional
a <- table(1:10)
b <- table(1:20)
mergetables(a, b)
mergetables(a, b, numeric=TRUE)

# Three dimensonal
mergetables(table(20:29, rep(1, 10), rep(1, 10)),
            table(20:29, c(1:5, 1:5), rep(1, 10)), 
            table(20:29, rep(2, 10), rep(2, 10)),
            numeric=TRUE)

}
