\name{pathR}
\alias{pathR}
\alias{pathWin}
\title{
functions to modify the path delimiter within clipboard text
}
\description{
These functions modify the path delimiter in the clipboard text to make it conform to either R (forward slash) or windows (backslash). 
}
\usage{
pathR()
pathWin()
}
\details{
These are just convenience functions for copying and pasting paths from R and Windows.  For example you could copy the path to a file from windows (backslashes) run \code{pathR()} and then paste it in R with forward slashes.
}
\value{
These functions are called for the side effect of altering clipboard text.  They return nothing.
}
\author{
Ethan Plunkett
}
\examples{

# Put an R style path into the clipboard
# typically you'd copy to do this
path <- "c:/temp"
writeClipboard(path)

# Switch it to windows 
pathWin() 

# Print it
# typically you would use paste instead of readClipboard
cat(readClipboard()) 

# Go the other way (back to R style delimitation)
pathR()
cat(readClipboard())

}
\keyword{ ~kwd1 }
