\name{pointstogrid}
\alias{pointstogrid}
\title{
 function to make a grid from point data
}
\description{
This function converts x, y and optionally z values into a grid where the values of the cells reflect either the count or z values of the points that fall in them.
}
\usage{
pointstogrid(x, y, z, buffer, cellsize, grid, FUN = sum, ...) 
}
\arguments{
  \item{x, y}{The coordinates of the points in map units (numeric vectors) }
  \item{z}{The values associated with each points.  Can be omitted in which case each point will be assigned a value of 1.}
  \item{buffer}{The distance in map units to extend the new grid beyond the points.
}
  \item{cellsize}{
The cellsize of the new grid.
}
  \item{grid}{Optional if supplied the new grid will match the extent of grid. Errors will result if not all the points overlap the grid.
}
  \item{FUN}{A function to be used to combine multiple z values when more than one point occupies a cell. Its first argument must be a vector of values.   
}
  \item{\dots}{
Other arguments to be passed to \code{FUN}.
}
}

\value{
It returns an object of class grid.
}
\author{
Ethan Plunkett
}


\seealso{
\code{\link{plot.grid}} 
}
\examples{

x <- runif(100, 0, 1000)
y <- runif(100, 500, 750)
z <- runif(100, 0, 1)
buffer <- 90
cellsize <- 30

g <- pointstogrid(x, y, z,  buffer=buffer, cellsize=cellsize)
plot(g)
points(x, y, col="red")

}
\keyword{ spatial}
  
