\name{rasterizetiles}
\alias{rasterizetiles}

\title{
function to convert data about tiles into a new grid in which each cell corresponds to a tile in the tilemap.
}
\description{
This function relies on the currently defined tilemap and data associated with tile id's to create a new, coarser, grid where each cell represents a tile in the tilemap. 
}
\usage{
rasterizetiles(values, tile.ids, subtile.ids)
}

\arguments{
  \item{values}{
a vector of data.
}
  \item{tile.ids}{
a vector of tile.ids that correspond to the data in values.
}
  \item{subtile.ids}{
(optional alternative to \code{tile.ids}) a vector of subtile ID's that correspond to the data in values.
}
}
\details{
If subtile.ids is used than there must be a subtile scheme defined (via \code{\link{subtileinit}}).  Only one of \code{subtile.ids} and \code{tile.ids} should be supplied.
}
\value{
The function returns a grid object with cells that correspond to the tiles in the current tile map.  Note this will have a larger cellsize (usually much larger) than the current access window.  
The grid may be larger than the full access window as all cells-tiles that overlap the access window are included (see plots in example).

}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{tileinit}}, \code{\link{subtileinit}}
}
\examples{
gridinit()
setwindow(x=list(xll=0, yll=0,  nrow=10000, ncol=5000, cellsize=30))
tileinit(1500, 0)
plotextent()
g <- rasterizetiles(values = 1:ntiles(), tile.ids=1:ntiles())
plot(g, add=TRUE, use.old=TRUE)
plotbounds(getwindow())  # note newly created grid includes full tiles 
                        # extending beyond the window if necessary.
dev.off()


}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
