\name{refreshservers}
\alias{refreshservers}
\title{
Function to refresh gridservers' internal caches.  
}
\description{
This function tells all of the servers currently in the connection list to refresh.
}
\usage{
refreshservers(drive = NA)
}

\arguments{
  \item{drive}{
If not NA then the letter of the drive to target. For example "Z:", "z", or "Z" would all cause 
the function to only refresh servers associated with the Z: drive.
}
}
\details{
This function tells each gridserver in the connection list to dump its cache.  It is useful if 
you edit, move, or delete grids with any mechanism other than the gridservers.

The gridservers all have internal caching.  This caching improves processing speed but 
 can cause problems if the grids are edited externally.  For example deleting a grid that
 was read or created with a gridserver via Arc Catalog or Windows Explorer and then trying 
 to write new data to the grid with the gridserver will sometimes throw the
 error "GRID_SERVER_ACCESS_ERR_GRIDCANNOTFIND".
}
\value{
Nothing is returned.}
\author{
Ethan Plunkett
}


\seealso{
\code{\link{cleanup}} disconnects from all servers.  \code{\link{cacheinit}} clear the local 
disk based cache.  
}
\keyword{ spatial}
