\name{tilecenter}
\alias{tilecenter}
\alias{subtilecenter}
\title{
functions to return the x and y coordinates of the center of the current tile or subtile
}
\description{
These functions return the x and y coordinates (in map units) of the center of the current tile or subtile.
}
\usage{
tilecenter()
subtilecenter()
}

\value{
A list of
 \item{x}{The x coordinate (easting)}
 \item{y}{The y coordinate (northing)}
}

\author{
Ethan Plunkett
}

\seealso{
\code{\link{tiledetails}},\code{\link{subtiledetails}}
}
\examples{

cleanup()
gridinit()
makewindow(1000, 2000, 0, 0, 30)
subtileinit(50, 10 ,100)
td <- tiledetails(coreonly=FALSE) # tile with buffer
plotextent(list=td)

for(i in 1:ntiles()){
  settile(i)
  for(j in 1:nsubtiles()){
    setsubtile(j)
    tc <- tilecenter()
    text(i, x=tc$x,y=tc$y, col="red")
    sc <- subtilecenter()
    text(stid(), x=sc$x, y=sc$y, col="blue")
  }
}

}
\keyword{ spatial}

