\name{tileinit}
\alias{tileinit}
\alias{firsttile}
\alias{nexttile}
\alias{randomtile}
\alias{settile}
\title{
Functions to initiate and iterate through the tile scheme
}
\description{
These functions setup and then iterate through \code{\link{tilescheme}}, a regular arrangement of tiles which cover an entire grid.  They are designed to facilitate calculations on large grids that may not fit into memory.
}
\usage{
tileinit(rowsize, buffer, colsize = rowsize)
nexttile()
firsttile()
randomtile()
settile(tile)
}
\arguments{
  \item{rowsize}{
sets the number of rows of cells in each tile
}
  \item{buffer}{
the buffer in cells which will be included around the core of each tile when reading and then cut off the edge of each tile when writing. 
}
  \item{colsize}{
sets the number of columns of cells in each tile. This defaults to the rowsize if it is undefined.
}
 \item{tile}{
the tile number to set.
}
}
\details{
\code{tileinit} is used to initiate the tile scheme and will set the current tile to the first tile in the scheme.  \code{\link{readtile}} and \code{\link{writetile}} can than be used to read and write the current tile. 
\code{nexttile} will iterate onto the next tile and will return TRUE if sucessful and FALSE if the iteration progressed past the last tile. 
\code{firsttile} will return the iterators to the first tile.
\code{randomtile} will set the iterators to a random tile.
\code{settile} will set the iterators to the numbered tile (tiles are numbered starting at the top left and progressing along rows first and columns second.)

All four functions modify the global variable \code{\link{tilescheme}}.
}
\value{
\code{nexttile} will return FALSE if there are no more tiles and TRUE if it is successful. \code{settile} will return FALSE if the tile number is greater than the number of tiles and TRUE otherwise.  The other functions do not return anything. 
}
\author{
Ethan Plunkett
}
\note{
\code{\link{gridinit}} and either \code{\link{setwindow}} or \code{\link{makewindow}} must be called prior to \code{tileinit}.
}

\seealso{
\code{\link{readtile}}, and \code{\link{writetile}} read and write the current tile adding or trimming the buffer as appropriate.  

}
\examples{
#
}
\keyword{ spatial }
