\name{tilescheme}
\alias{tile.scheme}
\alias{tilescheme}
\title{
Function to return the current tiles scheme details
}
\description{
This function returns the tile scheme. If the tile scheme isn't currently defined all values are set to \code{NA}.
}
\usage{
tile.scheme()
tilescheme()
}
\value{
A list of eleven items:
\item{rowsize, colsize}{ The number of rows and columns in the core of each tile  (normally they are the same).}
\item{buffer}{The buffer to be added to each tile prior to reading and removed prior to writing}
\item{i}{The row of the current tile. }
\item{j}{The column of the current tile.}
\item{rows, cols}{ The number of rows and columns of tiles in the tile scheme.}
\item{lastrows}{The number of rows of cells in each tile in the last row of tiles.}
\item{lastcols}{The number of columns of cells in each tile in the last column of tiles.}
\item{tileno}{ The unique number of the current tile (numbers start at one and increase left to right and top to bottom.
E.g.: \code{matrix(1:12, 3, 4, byrow=TRUE)} would show the layout of a 4 column 3 row tile scheme.}
\item{totaltiles}{ The number of tiles in the scheme.}
}

\author{
Ethan Plunkett
}
\seealso{
\code{\link{tileinit}}, \code{\link{readtile}}, \code{\link{writetile}}
}
\examples{
# tilescheme() 
}
\keyword{ spatial }
